diff --git a/spring-boot-cli/src/test/java/org/springframework/boot/cli/SampleIntegrationTests.java b/spring-boot-cli/src/test/java/org/springframework/boot/cli/SampleIntegrationTests.java
index f6f9ca5ac41..7e9b886938f 100644
--- a/spring-boot-cli/src/test/java/org/springframework/boot/cli/SampleIntegrationTests.java
+++ b/spring-boot-cli/src/test/java/org/springframework/boot/cli/SampleIntegrationTests.java
@@ -134,6 +134,7 @@ public void txSample() throws Exception {
 	}
 
 	@Test
+	@Ignore("Intermittent failure on CI. See #323")
 	public void jmsSample() throws Exception {
 		String output = this.cli.run("jms.groovy");
 		assertTrue("Wrong output: " + output,
@@ -142,8 +143,7 @@ public void jmsSample() throws Exception {
 	}
 
 	@Test
-	@Ignore
-	// this test requires RabbitMQ to be run, so disable it be default
+	@Ignore("Requires RabbitMQ to be run, so disable it be default")
 	public void rabbitSample() throws Exception {
 		String output = this.cli.run("rabbit.groovy");
 		assertTrue("Wrong output: " + output,
